#ifndef __HAL_LIGHTSENSOR_H__
#define __HAL_LIGHTSENSOR_H__
#include "hal.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#define NIGHT_ADC ((uint16_t)(30))
#define DAY_ADC   ((uint16_t)(60))

////////////////////////////////////////////////////////////
//
// 数据类型定义
//
////////////////////////////////////////////////////////////

uint32_t hal_lightsensor_init();

uint32_t hal_lightsensor_deinit();

uint32_t hal_lightsensor_start();

uint32_t hal_lightsensor_stop();

uint32_t hal_lightsensor_get_adc(uint32_t *p_adc);// <NIGHT_ADC to night, >=DAY_ADC to day


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __HAL_LIGHTSENSOR_H__ */
